<?php
class appTwitterBackendActions extends stAdminGeneratorActions{
    public function executeIndex(){

        $i18n = $this->getContext()->getI18N();

        $this->config = stConfig::getInstance('appTwitterBackend');
        
        $this->config->setCulture($this->getRequestParameter('culture', stLanguage::getOptLanguage()));
        
        if ($this->getRequest()->getMethod() == sfRequest::POST){
            $this->config->set('enable', $this->getRequestParameter('twitter[enable]'));

            $this->config->set('code', $this->getRequestParameter('twitter[code]'), true);
            
            if (stTheme::hideOldConfiguration()){
                $this->config->set('side', 'left');               
            }else{    
                $this->config->set('side', $this->getRequestParameter('twitter[side]')); 
            }
            
            $this->config->save();

            stFastCacheManager::clearCache();
            
            $this->setFlash('notice', $i18n->__('Twoje zmiany zostały zapisane', null, 'stAdminGeneratorPlugin'));
            
            $this->redirect('appTwitterBackend/index?culture=' . $this->getRequestParameter('culture', stLanguage::getOptLanguage()));
        }

        if ($this->config->get('code', $this->getRequestParameter('twitter[code]'), true) != ''){

            $this->configuration_check = true;

        }else{

            $this->configuration_check = false;
            
        }

        if (!$this->config->get('enable')){
        
        $notice = '<a href="https://twitter.com/signup" target="_blank" style="text-decoration: underline; color: #555;">'.$this->getContext()->getI18n()->__('Dołącz do Twitter').'</a> '.$this->getContext()->getI18n()->__('i skopiuj kod widżetu.');

        $this->setFlash("info", $notice, false);  
        }

        
        $this->config->load();

        $this->getBreadcrumbs()->add($i18n->__('Konfiguracja', null, 'stAdminGeneratorPlugin'));

    }

    protected function getBreadcrumbs(){
        
        if (null === $this->breadcrumbs){
            $i18n = $this->getContext()->getI18N();
            $this->breadcrumbs = parent::getBreadcrumbs();
            $this->breadcrumbs->add($i18n->__('Twitter'), '@appTwitterPlugin');
        }

        return $this->breadcrumbs;
    }

}